JavaScript
import Moonbase from '@moonbaseai/sdk';
const client = new Moonbase({
apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted
});
const tagset = await client.tagsets.retrieve('id');
console.log(tagset.id);require "moonbase"
moonbase = Moonbase::Client.new(api_key: "My API Key")
tagset = moonbase.tagsets.retrieve("id")
puts(tagset)import os
from moonbase import Moonbase
client = Moonbase(
api_key=os.environ.get("MOONBASE_API_KEY"), # This is the default and can be omitted
)
tagset = client.tagsets.retrieve(
"id",
)
print(tagset.id)package main
import (
"context"
"fmt"
"github.com/moonbaseai/moonbase-sdk-go"
"github.com/moonbaseai/moonbase-sdk-go/option"
)
func main() {
client := moonbase.NewClient(
option.WithAPIKey("My API Key"),
)
tagset, err := client.Tagsets.Get(context.TODO(), "id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", tagset.ID)
}
curl --request GET \
--url https://api.moonbase.ai/v0/tagsets/{id} \
--header 'Authorization: Bearer <token>'{
"id": "1CLJt2v5aNd8G5SGzEaeVU",
"type": "tagset",
"name": "Support",
"description": "Tags for our support inbox",
"tags": [
{
"id": "1CLJt2v5pkpkAnvdgXfEcF",
"type": "tag",
"name": "Requires Action",
"color": "red"
},
{
"id": "1CLJt2v6592N5WQzNpjpj2",
"type": "tag",
"name": "UX",
"color": "violet"
},
{
"id": "1CLJt2v6KXDyzDuM57pQqo",
"type": "tag",
"name": "Bug",
"color": "orange"
},
{
"id": "1CLJt2v6ZuRbtwPhmQtzxa",
"type": "tag",
"name": "Billing",
"color": "amber"
},
{
"id": "1CLJt2v6pHdDoet4Thyb5M",
"type": "tag",
"name": "QBR",
"color": "blue"
},
{
"id": "1CLJt2v74fpqiNNRA14BC8",
"type": "tag",
"name": "Feature Request",
"color": "purple"
},
{
"id": "1CLJt2v7K42Td5rmrJ8mJu",
"type": "tag",
"name": "Login Issue",
"color": "rose"
},
{
"id": "1CLJt2v7ZSE5XoM8YbDMRg",
"type": "tag",
"name": "Refund",
"color": "emerald"
},
{
"id": "1CLJt2v7opRhSWqVEtHwYT",
"type": "tag",
"name": "Pricing",
"color": "cyan"
},
{
"id": "1CLJt2v84CdKMEKqwBNXfE",
"type": "tag",
"name": "Meeting",
"color": "indigo"
},
{
"id": "1CLJt2v8JapwFwpCdUT7n1",
"type": "tag",
"name": "VIP",
"color": "fuchsia"
}
],
"associations": [],
"created_at": "2025-02-17T16:00:00.000Z",
"updated_at": "2025-02-17T16:00:00.000Z"
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "400",
"title": "Bad Request",
"detail": "The request could not be understood due to malformed syntax or invalid parameters."
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "401",
"title": "Unauthorized",
"detail": "Invalid or missing API key or JWT. You should provide your Moonbase API Key or JWT in the authorization header, in the format: \"Authorization: Bearer MOONBASE_API_KEY\""
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "403",
"title": "Forbidden"
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "404",
"title": "Not Found"
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "429",
"title": "Too Many Requests"
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "500",
"title": "Internal Server Error"
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "503",
"title": "Service Unavailable",
"detail": "The service is temporarily unavailable, please try again later."
}
]
}Tagsets
Retrieve a Tagset
Retrieves the details of an existing tagset.
GET
/
tagsets
/
{id}
JavaScript
import Moonbase from '@moonbaseai/sdk';
const client = new Moonbase({
apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted
});
const tagset = await client.tagsets.retrieve('id');
console.log(tagset.id);require "moonbase"
moonbase = Moonbase::Client.new(api_key: "My API Key")
tagset = moonbase.tagsets.retrieve("id")
puts(tagset)import os
from moonbase import Moonbase
client = Moonbase(
api_key=os.environ.get("MOONBASE_API_KEY"), # This is the default and can be omitted
)
tagset = client.tagsets.retrieve(
"id",
)
print(tagset.id)package main
import (
"context"
"fmt"
"github.com/moonbaseai/moonbase-sdk-go"
"github.com/moonbaseai/moonbase-sdk-go/option"
)
func main() {
client := moonbase.NewClient(
option.WithAPIKey("My API Key"),
)
tagset, err := client.Tagsets.Get(context.TODO(), "id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", tagset.ID)
}
curl --request GET \
--url https://api.moonbase.ai/v0/tagsets/{id} \
--header 'Authorization: Bearer <token>'{
"id": "1CLJt2v5aNd8G5SGzEaeVU",
"type": "tagset",
"name": "Support",
"description": "Tags for our support inbox",
"tags": [
{
"id": "1CLJt2v5pkpkAnvdgXfEcF",
"type": "tag",
"name": "Requires Action",
"color": "red"
},
{
"id": "1CLJt2v6592N5WQzNpjpj2",
"type": "tag",
"name": "UX",
"color": "violet"
},
{
"id": "1CLJt2v6KXDyzDuM57pQqo",
"type": "tag",
"name": "Bug",
"color": "orange"
},
{
"id": "1CLJt2v6ZuRbtwPhmQtzxa",
"type": "tag",
"name": "Billing",
"color": "amber"
},
{
"id": "1CLJt2v6pHdDoet4Thyb5M",
"type": "tag",
"name": "QBR",
"color": "blue"
},
{
"id": "1CLJt2v74fpqiNNRA14BC8",
"type": "tag",
"name": "Feature Request",
"color": "purple"
},
{
"id": "1CLJt2v7K42Td5rmrJ8mJu",
"type": "tag",
"name": "Login Issue",
"color": "rose"
},
{
"id": "1CLJt2v7ZSE5XoM8YbDMRg",
"type": "tag",
"name": "Refund",
"color": "emerald"
},
{
"id": "1CLJt2v7opRhSWqVEtHwYT",
"type": "tag",
"name": "Pricing",
"color": "cyan"
},
{
"id": "1CLJt2v84CdKMEKqwBNXfE",
"type": "tag",
"name": "Meeting",
"color": "indigo"
},
{
"id": "1CLJt2v8JapwFwpCdUT7n1",
"type": "tag",
"name": "VIP",
"color": "fuchsia"
}
],
"associations": [],
"created_at": "2025-02-17T16:00:00.000Z",
"updated_at": "2025-02-17T16:00:00.000Z"
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "400",
"title": "Bad Request",
"detail": "The request could not be understood due to malformed syntax or invalid parameters."
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "401",
"title": "Unauthorized",
"detail": "Invalid or missing API key or JWT. You should provide your Moonbase API Key or JWT in the authorization header, in the format: \"Authorization: Bearer MOONBASE_API_KEY\""
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "403",
"title": "Forbidden"
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "404",
"title": "Not Found"
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "429",
"title": "Too Many Requests"
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "500",
"title": "Internal Server Error"
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "503",
"title": "Service Unavailable",
"detail": "The service is temporarily unavailable, please try again later."
}
]
}Authorizations
Your Moonbase API key.
Path Parameters
The ID of the tagset to retrieve.
Response
Successful response.
A Tagset is a collection of Tag objects whose tags can be applied to conversations, calls, and meetings.
String representing the object’s type. Always tagset for this object.
Allowed value:
"tagset"Unique identifier for the object.
The name of the tagset.
A list of Tag objects belonging to this tagset.
Show child attributes
Show child attributes
Where a tagset is available (calls, meetings, or inbox with an inbox ID).
Makes this tagset available for calls.
- Calls
- Meetings
- Inbox
Show child attributes
Show child attributes
Time at which the object was created, as an ISO 8601 timestamp in UTC.
Time at which the object was last updated, as an ISO 8601 timestamp in UTC.
An optional description of the tagset's purpose.
⌘I

